#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Mixin
%define		pnam	Linewise
Summary:	Mixin::Linewise - write your linewise code for handles; this does the rest
#Summary(pl.UTF-8):	
Name:		perl-Mixin-Linewise
Version:	0.110
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RJ/RJBS/Mixin-Linewise-%{version}.tar.gz
# Source0-md5:	466b2b42a0cec2b163729fa581ac4b1d
Patch0:		version.patch
URL:		http://search.cpan.org/dist/Mixin-Linewise/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(PerlIO::utf8_strict)
BuildRequires:	perl-Sub-Exporter
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It's boring to deal with opening files for IO, converting strings to
handle-like objects, and all that.  With Mixin::Linewise::Readers and
Mixin::Linewise::Writers, you can just write a method to handle
handles, and methods for handling strings and filenames are added for
you.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Mixin
%{perl_vendorlib}/Mixin/*.pm
%{perl_vendorlib}/Mixin/Linewise
%{_mandir}/man3/*
%changelog
* Tue Feb 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Mixin-Linewise.git;a=log;h=master

* Tue Feb 22 2022 Jan Rękorajski <baggins@pld-linux.org> 5662968
- re-add version definitions in a way understandable to dependency generator, rel 3

* Mon Feb 21 2022 Jan Rękorajski <baggins@pld-linux.org> 738c5cd
- Release 2 (by relup.sh)

* Tue Feb 08 2022 Adam Osuchowski <adwol@pld-linux.org> b287a14
- up to 0.110

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 2d8d76d
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> da8bc7e
- up to 0.108

* Mon Mar 23 2015 Jan Rękorajski <baggins@pld-linux.org> cd11dba
- new

